> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a suggested data quality rule

> Mark a suggested data quality rule as explicitly created.



## OpenAPI

````yaml post /api/dq/rules/{dq_id}/create
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dq/rules/{dq_id}/create:
    post:
      tags:
        - Data quality
      summary: Create a suggested data quality rule
      description: Mark a suggested data quality rule as explicitly created.
      operationId: create_suggested_rule_api_dq_rules__dq_id__create_post
      parameters:
        - name: dq_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The unique ID of the suggested rule to create.
            title: Dq Id
          description: The unique ID of the suggested rule to create.
      responses:
        '200':
          description: Rule created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DQRule'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          description: Rule not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DQRule:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID of the data quality rule.
        rule_name:
          type: string
          title: Rule Name
          description: Name of the data quality rule.
        rule_description:
          type: string
          title: Rule Description
          description: Brief explanation of what the rule checks.
        sql:
          type: string
          title: Sql
          description: Trino SQL query used to validate the rule.
        accepted:
          type: boolean
          title: Accepted
          description: Whether you have accepted this rule.
        table:
          type: string
          title: Table
          description: The database table this rule applies to.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: Uniform Resource Name (URN) of the assertion in DataHub.
        spark_sql:
          anyOf:
            - type: string
            - type: 'null'
          title: Spark Sql
          description: Spark SQL query of the rule, if applicable.
        success_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Success Value
          description: Expected success condition for this rule.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: Username or identifier of who created this rule.
        approved_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Approved By
          description: Username of who approved this rule.
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the rule was created.
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
          description: Timestamp when the rule was approved.
        is_created:
          type: boolean
          title: Is Created
          description: >-
            True once the rule has been explicitly created (not just a
            suggestion).
          default: false
      type: object
      required:
        - id
        - rule_name
        - rule_description
        - sql
        - accepted
        - table
      title: DQRule
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````